//Author: Bo Yan (http://geog.ucsb.edu/~boyan/)
//Date: 2/21/2015
//Project: MAT259 3D Visualization

void setupGUI() {
  
  controlP5.setFont(myHelvetica15);
  controlP5.addButton("globeOn")
          .setPosition(guiMarginX,guiMarginY)
          .setSize(buttonHeight,buttonHeight)
          .setLabelVisible(false)
          .setSwitch(true)
          //.setAutoUpdate(true)
          .setOff();
  controlP5.addTextlabel("globeOnLabel")
           .setText("Globe On")
           .setPosition(guiMarginX+buttonHeight+5,guiMarginY+2);
           
  controlP5.addSlider("pointSize")
           .setPosition(guiMarginX,guiMarginY+buttonHeight+10)
           .setSize(buttonWidth,buttonHeight)
           .setCaptionLabel("")
           .setAutoUpdate(true)
           //.setLabelVisible(false)
           .setRange(5,30);
  controlP5.addTextlabel("pointSizeLabel")
           .setText("Point Size")
           .setPosition(guiMarginX+buttonWidth+5,guiMarginY+buttonHeight+10+2);    
  
  controlP5.addSlider("colorScheme")
           .setPosition(guiMarginX,guiMarginY+(buttonHeight+10)*2)
           .setSize(buttonWidth,buttonHeight)
           .setRange(1,6)
           .setNumberOfTickMarks(6)
           .setCaptionLabel("")
           .setAutoUpdate(true)
           .setSliderMode(Slider.FLEXIBLE);  
  controlP5.addTextlabel("colorSchemeLabel")
           .setText("Color Scheme")
           .setPosition(guiMarginX+buttonWidth+5,guiMarginY+(buttonHeight+10)*2+2);
  controlP5.addSlider("yearChoice")
           .setPosition(guiMarginX,guiMarginY+(buttonHeight+10)*3)
           .setSize(buttonWidth,buttonHeight)
           .setRange(2012,2013)
           .setNumberOfTickMarks(2)
           .setCaptionLabel("")
           //.setAutoUpdate(true)
           .setSliderMode(Slider.FLEXIBLE)
           .setValue(2012);
  controlP5.addTextlabel("yearChoiceLabel")
           .setText("Year")
           .setPosition(guiMarginX+buttonWidth+5,guiMarginY+(buttonHeight+10)*3+2);
  
           
  controlP5.setAutoDraw(false); // gui won't disappear when setting the cam
}

void drawGUI() {
  hint(DISABLE_DEPTH_TEST);
  currCameraMatrix = new PMatrix3D(g3.camera);
  camera();
  controlP5.draw();
  g3.camera = currCameraMatrix;
}

void globeOn(){
  globeOnValue = !globeOnValue;
}

void yearChoice(int theValue){
  //year = theValue;
  if (theValue == 2013) {
    dataRows = dataRows2013;
    geos = new ArrayList<Geo>();
    for (int i=0; i<dataRows2013; i++){
      geos.add(new Geo(dataTable2013.getString(i,0), dataTable2013.getString(i,1)));
        //println(split(dataString[0][0].replace("\"",""), ",")[0]);  
    }
  }
  if (theValue == 2012) {
    dataRows = dataRows2012;
    geos = new ArrayList<Geo>();
    for (int i=0; i<dataRows2012; i++){
      geos.add(new Geo(dataTable2012.getString(i,0), dataTable2012.getString(i,1)));
        //println(split(dataString[0][0].replace("\"",""), ",")[0]);  
    }
  }

  
}




  
