//Author: Bo Yan (http://geog.ucsb.edu/~boyan/)
//Date: 2/21/2015
//Project: MAT259 3D Visualization

void draw() {
  background(0);
  
  //code to deactivate peasycam rotations when sliders are active
  if (controlP5.window(this).isMouseOver()) {
    cam.setActive(false);
  } else {
    cam.setActive(true);
  }
  
  //box(100);
  
  for (int i=0; i<dataRows; i++){
    Geo drawGeo = geos.get(i);
    
    pushMatrix();
    translate(width/2, height/2, 0);
    rotateY(radians(drawGeo.getLng()));
    rotateX(radians(drawGeo.getLat()));
    
    alpha = pointTransparency+ pointTransparency*noise(i*millis());
    strokeWeight(pointSize);
    int selector = drawGeo.geoColorPick(continentColor[colorScheme-1], continentCode);
    int fillR = continentColor[colorScheme-1][selector][0];
    int fillG = continentColor[colorScheme-1][selector][1];
    int fillB = continentColor[colorScheme-1][selector][2];
    stroke(fillR,fillG,fillB, alpha);
    point(0,0,100);
    float lineDeltaZ = 100;
    int numSegments = 100;
    float tStep = 1.0/numSegments;
    float t = 0;
    strokeWeight(0.2);
    for (int j=0; j<numSegments; j++) {
      float nextT = t + tStep;
      stroke(255-220*j/(numSegments-1));
      line(0,0,0+lineDeltaZ*t, 0,0,0+lineDeltaZ*nextT);
      t=nextT;
    }
    popMatrix();
    
  }
  //strokeWeight(0.2);
  
  noStroke();
  fill(231,123,128);
  lights();
  pushMatrix();
  translate(width/2, height/2, 0);
  strokeWeight(0.2);
  sphereDetail(360/15, 180/15); 
  sphere(3);
  if (globeOnValue) {
    noFill();
    stroke(125);
    sphere(100);
  }

  popMatrix();
  
  drawGUI();
  setHUD();

  
  
}
