//Author: Bo Yan (http://geog.ucsb.edu/~boyan/)
//Date: 2/21/2015
//Project: MAT259 3D Visualization

void setup(){
  size(1280, 720, P3D);
  //hint(DISABLE_DEPTH_TEST);
  colorMode(RGB);
//  if (frame != null) {
//    frame.setResizable(true);
//  }
  //setting up the cam
  cam = new PeasyCam(this, width/2,height/2,0,250);
  cam.setMinimumDistance(150);
  cam.setMaximumDistance(600);
  
  //setting up gui
  controlP5 = new ControlP5(this);
  g3 = (PGraphics3D)g;
  setupGUI();
  
  legendMarginX = width-200;
  legendMarginY = height-200;
  
  continentColor = new int[6][6][3];
  continentColor[0] = continentColor1;
  continentColor[1] = continentColor2;
  continentColor[2] = continentColor3;
  continentColor[3] = continentColor4;
  continentColor[4] = continentColor5;
  continentColor[5] = continentColor6;
  
  //load data string
  dataTable2013 = new Table();
  dataTable2013 = loadTable("output2013.csv");
  
  dataTable2012 = new Table();
  dataTable2012 = loadTable("output2012.csv");
  
  dataRows2013 = dataTable2013.getRowCount();
  dataRows2012 = dataTable2012.getRowCount();
  dataRows = dataRows2012;
  geos = new ArrayList<Geo>();
  for (int i=0; i<dataRows2012; i++){
    geos.add(new Geo(dataTable2012.getString(i,0), dataTable2012.getString(i,1)));
      //println(split(dataString[0][0].replace("\"",""), ",")[0]);  
  }
  
  //continent code
  continentTable = new Table();
  continentTable = loadTable("country_continent.csv", "header");
  
  continentRows = continentTable.getRowCount();
  
  continentCode = new String[continentRows][2];
  
  for (int i=0;i<continentRows;i++) {
    continentCode[i][0] = continentTable.getString(i,0);
    continentCode[i][1] = continentTable.getString(i,1);
  }
  
}
